progress_dialog

Helps developers improve user-experience using a progress indicator and a loading message.

Getting Started

Install

Add dependency to pubspec.yaml file : legacy_progress_dialog: ^0.0.8

Run this command : $ flutter pub get

Import

Import class in your project : import 'package:legacy_progress_dialog/legacy_progress_dialog.dart';

Show progress dialog :

//Create an instance of ProgressDialog
ProgressDialog progressDialog = ProgressDialog(
                  context: context,
                  backgroundColor: Colors.blue,
                  textColor: Colors.White,
                );
// show dialog
progressDialog.show();

//close dialog
progressDialog.dismiss();

Libraries

progress_dialog